#ifndef MESSAGE_WINDOW_H
#define MESSAGE_WINDOW_H

#ifdef TOOLKIT

#define MSG_HELP 0
#define MSG_INFO 1
#define MSG_WARN 2
#define MSG_ERR  3


/* what is the exact upper bound here ??? */
/* It seems that XawtextScrollWhenNeeded is still broken
   in XFree 4.1.0, vendor release 6510 (Slackware 8.0) */
#define BROKEN_XAW_SCROLL_WHEN_NEEDED ((		\
	(strstr(ServerVendor(DISP), "XFree") != NULL)	\
	&& VendorRelease(DISP) >= 4000			\
	&& VendorRelease(DISP) < 8000			\
	))
					
/* the reconfig stuff has been fixed
   in XFree 4.1.0, vendor release 6510 (Slackware 8.0) */
#define BROKEN_RECONFIG ((				\
	(strstr(ServerVendor(DISP), "XFree") != NULL)	\
	&& VendorRelease(DISP) >= 4000			\
	&& VendorRelease(DISP) < 4002			\
	))
					
#endif

#endif /* MESSAGE_WINDOW_H */
